function HashMap() {
	this.arrKey = new Array();
	this.arrValue = new Array();

	this.exists = function(strKey) {
		/*strKey = strKey.toUpperCase();*/
		for (var i = 0; i < this.arrKey.length; i++) {
			if (this.arrKey[i] == strKey) {
				return true;
			}
		}
		return false;
	};
	this.length = function() {
		return this.arrKey.length;
	};

	this.put = function(strKey, objValue) {
		/*strKey = strKey.toUpperCase();*/
		for (var i = 0; i < this.arrKey.length; i++) {
			if (this.arrKey[i] == strKey) {
				this.arrValue[i] = objValue;
				return;
			}
		}
		this.arrKey[this.arrKey.length] = strKey;
		this.arrValue[this.arrValue.length] = objValue;
	};

	this.get = function(strKey) {
		/*strKey = strKey.toUpperCase();*/
		for (var i = 0; i < this.arrKey.length; i++) {
			if (this.arrKey[i] == strKey) {
				return this.arrValue[i];
			}
		}
		return null;
	};

	this.remove = function(strKey) {
		/*strKey = strKey.toUpperCase();*/
		for (var i = 0; i < this.arrKey.length; i++) {
			if (this.arrKey[i] == strKey) {
				this.arrKey.splice(i, 1);
				this.arrValue.splice(i, 1);
				return;
			}
		}
	};

	this.getKeys = function() {
		return this.arrKey;
	};

	this.getValues = function() {
		return this.arrValue;
	};
	
	this.clear = function(){
		this.arrKey.splice(0, this.arrKey.length);
		this.arrValue.splice(0, this.arrValue.length);
	};
}